Skip to main content
GET
Get application by key

Authorizations

Authorization
string
header
required

Path Parameters

applicationKey
string<string>
required

The application key

Query Parameters

expand
string<string>

A comma-separated list of properties that can reveal additional information in the response. Options: flags.

Response

Application response

autoAdded
boolean
required

Whether the application was automatically created because it was included in a context when a LaunchDarkly SDK evaluated a feature flag, or was created through the LaunchDarkly UI or REST API.

Example:

true

key
string
required

The unique identifier of this application

Example:

"com.launchdarkly.cafe"

kind
enum<string>
required

To distinguish the kind of application

Available options:
browser,
mobile,
server
Example:

"mobile"

name
string
required

The name of the application

Example:

"LaunchDarklyCafe"

flags
object

Details about the flags that have been evaluated by the application

_access
object

Details on the allowed and denied actions for this application

The location and content type of related resources

_version
integer

Version of the application

creationDate
integer<int64>

Timestamp of when the application version was created

Example:

"1654104600000"

description
string

The application description

Example:

"The LaunchDarkly Cafe app"

_maintainer
object

Associated maintainer member or team info for the application